var fecha;
  function startTime(){
    today=new Date();
    h=today.getHours();
    m=today.getMinutes();
    s=today.getSeconds();
    m=checkTime(m);
    s=checkTime(s);

    let date = new Date();
    year = date.getFullYear();
    month = date.getMonth()+1;
    dt = date.getDate();

    if (dt < 10) {
      dt = '0' + dt;
    }
    if (month < 10) {
      month = '0' + month;
    }
    var FechaCompleta = year+'-' + month + '-'+dt+' '+h+":"+m+":"+s;
    $('[name="date"]').val(FechaCompleta);
    t=setTimeout('startTime()',1000);
    fecha = jQuery("#date").val();
    return FechaCompleta;
  }

  function checkTime(i){
    if (i<10) {
      i="0" + i;
    }
    return i;
  }

  window.onload=function(){
    startTime();
  }
    //Función que valida que acepte solo letras
    function validaLetra(e){
        tecla = (document.all) ? e.keyCode : e.which;

        //Tecla de retroceso para borrar, siempre la permite
        if (tecla==8){
          return true;
        }

        // Patron de entrada, en este caso solo acepta numeros
        patron =/[" ÁÉÍÓÚáéíóúabcdefghijklmnñopqrstuvwxyzABCDEFGHIJKLMNÑOPQRSTUVWXYZ"]/;
        tecla_final = String.fromCharCode(tecla);
        return patron.test(tecla_final);
    }  
    
    //Función que valida que acepte solo numeros
    function valida(e){
        tecla = (document.all) ? e.keyCode : e.which;

        //Tecla de retroceso para borrar, siempre la permite
        if (tecla==8){
          return true;
        }

        // Patron de entrada, en este caso solo acepta numeros
        patron =/["0123456789"]/;
        tecla_final = String.fromCharCode(tecla);
        return patron.test(tecla_final);
    }  
    //Función que valida que acepte un numero decimal
    function validaPunto(e){
        tecla = (document.all) ? e.keyCode : e.which;

        //Tecla de retroceso para borrar, siempre la permite
        if (tecla==8){
          return true;
        }

        // Patron de entrada, en este caso solo acepta numeros
        patron =/["0123456789."]/;
        tecla_final = String.fromCharCode(tecla);
        return patron.test(tecla_final);
    }


function confirma(){
 if (confirm("¿Realmente desea eliminarlo?")){ 
 }
 else { 
 return false
 }
}
var base_url = window.location.origin + '/' + window.location.pathname.split ('/') [1] + '/';

function insertUsuario(){
	var rolc, rol, status, estado, franquicia, franquiciaC;
	rol = document.getElementById('rol');
	rolc = rol.options[rol.selectedIndex].value;
	estado = document.getElementById('Estatus');
	status = estado.options[estado.selectedIndex].value;
	franquicia = document.getElementById('franquicias');
	franquiciaC = franquicia.options[franquicia.selectedIndex].value;
    //'username':$('#username').val()
    //alert(base_url+'usuarios/Franquiciatario/UsuariosF/guardar');
    //alert($("#password").val()); 
	// alert('r'+rolc);
	// alert('s'+status);
	// alert('f'+franquiciaC);
	var datos = new FormData(document.getElementById("formUsuario")); 
	$.ajax({
        url: base_url+'usuarios/Franquiciatario/UsuariosF/guardar',
        type:"POST",
        dataType:'json',
        data: datos,
        //data:{'nombrecompleto':$("#nombrecompleto").val(), 'apellidop':$("#apellidop").val(), 'apellidom':$("#apellidom").val(), 'usuario':$("#usuario").val(), 'password':$("#password").val(), 'fecha':$("#fecha").val(), 'telefono':$("#telefono").val(), 'direccion':$("#direccion").val(), 'rolJ':rolc, 'estadoJ':status, 'profecion':$("#profecion").val(), 'franquiciaJ':franquiciaC}, 
        cache: false,
        contentType: false,
        processData: false,
        success:function(data){
            switch(data['type']){
                case "success":
                	swal({
							title:'Guardado!',
							text:'El usuario fue registrado correctamente!',
							icon:'success'
						}).then(function() {
                    		document.getElementById("formUsuario").reset();
							window.location.href=base_url+"usuarios/Franquiciatario/UsuariosF"; 
						}); 
                break;
                case "error":
                    swal(
                        'Advertencia!',
                        data['result'],
                        'warning'
                    );
                break;
                case "errorNombre":
                    $("#txtnombre_completo").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                case "errorApellidop":
                    $("#txtapellido_paterno").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                case "errorApellidom":
                    $("#txtapellido_materno").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                case "errorUsuario":
                    $("#text_usuario").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                case "errorPassword":
                    $("#txt_contrasenia").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                case "errorFecha":
                    $("#text_fecha").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                case "errorTelefono":
                    $("#text_telefono").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                case "errorDireccion":
                    $("#text_direccion").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                case "errorRol":
                    $("#rol").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                case "errorEstatus":
                    $("#Estatus").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                case "errorProfecion":
                    $("#text_profesion").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                case "errorFranquicias":
                    $("#franquicias").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                default:
            }
        },
        // error: function(xhr, status, error){
        //      var errorMessage = xhr.status + ': ' + xhr.statusText
        //      alert('Error - ' + errorMessage);
        //  }
        error:function(jqXHR, textStatus, error){
            // swal(
            //     'Error',
            //     'Ocurrio un error',
            //     'error'
            // );
            alert("error:"+jqXHR.responseText);
        }
    });
}

function editarUsuario(id){
    var datos = new FormData(document.getElementById("formEditUsuario")); 
    var fecha = startTime();
    $.ajax({
        url: base_url+'usuarios/Franquiciatario/usuariosF/editarenlace/'+id+'/'+fecha,
        type:"POST",
        dataType:'json',
        data: datos,
        cache: false,
        contentType: false,
        processData: false,
        success:function(data){
            switch(data['type']){
                case "success":
                    swal({
                        title:'Guardado!',
                        text:'El usuario fue actualizado correctamente!',
                        icon:'success'
                    }).then(function() {
                        document.getElementById("formEditUsuario").reset();
                        window.location.href=base_url+"usuarios/Franquiciatario/UsuariosF"; 
                    }); 
                break;
                case "error":
                    swal(
                        'Advertencia!',
                        data['result'],
                        'warning'
                    );
                break;
                case "errorPassword":
                    $("#Contrasenia").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                case "errorFecha":
                    $("#FechaNacimiento").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                case "errorTelefono":
                    $("#NumeroTelefonicoUsuario").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                case "errorDireccion":
                    $("#DireccionUsuario").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                case "errorRol":
                    $("#Rol_IdRol").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                case "errorEstatus":
                    $("#Estatus").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                case "errorProfecion":
                    $("#ProfesionUsuario").notify(data['result'],{
                        position:'top center',
                        className:'error',
                    });
                break;
                default:
            }
        },
        // error: function(xhr, status, error){
        //      var errorMessage = xhr.status + ': ' + xhr.statusText
        //      alert('Error - ' + errorMessage);
        //  }
        error:function(jqXHR, textStatus, error){
            // swal(
            //     'Error',
            //     'Ocurrio un error',
            //     'error'
            // );
            alert("error:"+jqXHR.responseText);
        }
    });
}